igeo.io

## Enum IRhino3dm.TextureMapping.Type

- java.lang.Object
- - java.lang.Enum<IRhino3dm.TextureMapping.Type>
  - - igeo.io.IRhino3dm.TextureMapping.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<IRhino3dm.TextureMapping.Type>
  Enclosing class:
    IRhino3dm.TextureMapping

      public static enum IRhino3dm.TextureMapping.Type
      extends java.lang.Enum<IRhino3dm.TextureMapping.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BoxMapping`
    `BrepMappingPrimitive`
    `CylinderMapping`
    `MeshMappingPrimitive`
    `NoMapping`
    `PlaneMapping`
    `SphereMapping`
    `SrfMappingPrimitive`
    `SrfpMapping`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IRhino3dm.TextureMapping.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static IRhino3dm.TextureMapping.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NoMapping

          public static final IRhino3dm.TextureMapping.Type NoMapping

    - #### SrfpMapping

          public static final IRhino3dm.TextureMapping.Type SrfpMapping

    - #### PlaneMapping

          public static final IRhino3dm.TextureMapping.Type PlaneMapping

    - #### CylinderMapping

          public static final IRhino3dm.TextureMapping.Type CylinderMapping

    - #### SphereMapping

          public static final IRhino3dm.TextureMapping.Type SphereMapping

    - #### BoxMapping

          public static final IRhino3dm.TextureMapping.Type BoxMapping

    - #### MeshMappingPrimitive

          public static final IRhino3dm.TextureMapping.Type MeshMappingPrimitive

    - #### SrfMappingPrimitive

          public static final IRhino3dm.TextureMapping.Type SrfMappingPrimitive

    - #### BrepMappingPrimitive

          public static final IRhino3dm.TextureMapping.Type BrepMappingPrimitive

  - ### Method Detail

    - #### values

          public static IRhino3dm.TextureMapping.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IRhino3dm.TextureMapping.Type c : IRhino3dm.TextureMapping.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IRhino3dm.TextureMapping.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null